Skip to navigation

Get TestOrder by ID

Beta
Get a single TestOrder by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

test_order_idstringRequired
ID of the TestOrder.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
analysisCommentstring or nullOptional
Additional comments provided for a test order with a status of blocked, invalid, or canceled.
containerobject or nullOptional
The container associated with the sample being tested in this test order
createdAtstringOptional
Timestamp of when the test order was created.
dilutionFactorinteger or nullOptional
The dilution factor of the test order.
idstringOptional
The ID of the test order.
modifiedAtstringOptional
Timestamp of when the test order was last modified.
namestringOptional
The name of the test order.
procedureobject or nullOptional

The Assay (Procedure) for which this Test Order is created. Since a Test Definition can be used in multiple Assays, this association ensures clarity on which template should be followed for the specific Test Order. It is necessary to establish this association prior to the Assay Run to avoid ambiguity.

procedureMethodExecutionInstanceobject or nullOptional
The execution instance of the procedure method, linking the Test Order to the specific Assay Run to enable easy retrieval of all related Test Orders.
resultobject or nullOptional
The result of the test order.
sampleobjectOptional
The sample being tested in this test order
statusenumOptional
The status of the test order.
testDefinitionobjectOptional
The test definition associated with this test order.

Errors

400
Test Order Get Request Bad Request Error
403
Test Order Get Request Forbidden Error
404
Test Order Get Request Not Found Error
429
Test Order Get Request Too Many Requests Error
500
Test Order Get Request Internal Server Error